function noop() { }
function assign(tar, src) {
    // @ts-ignore
    for (const k in src)
        tar[k] = src[k];
    return tar;
}
function add_location(element, file, line, column, char) {
    element.__svelte_meta = {
        loc: { file, line, column, char }
    };
}
function run(fn) {
    return fn();
}
function blank_object() {
    return Object.create(null);
}
function run_all(fns) {
    fns.forEach(run);
}
function is_function(thing) {
    return typeof thing === 'function';
}
function safe_not_equal(a, b) {
    return a != a ? b == b : a !== b || ((a && typeof a === 'object') || typeof a === 'function');
}
function is_empty(obj) {
    return Object.keys(obj).length === 0;
}
function validate_store(store, name) {
    if (store != null && typeof store.subscribe !== 'function') {
        throw new Error(`'${name}' is not a store with a 'subscribe' method`);
    }
}
function subscribe(store, ...callbacks) {
    if (store == null) {
        return noop;
    }
    const unsub = store.subscribe(...callbacks);
    return unsub.unsubscribe ? () => unsub.unsubscribe() : unsub;
}
function component_subscribe(component, store, callback) {
    component.$$.on_destroy.push(subscribe(store, callback));
}
function create_slot(definition, ctx, $$scope, fn) {
    if (definition) {
        const slot_ctx = get_slot_context(definition, ctx, $$scope, fn);
        return definition[0](slot_ctx);
    }
}
function get_slot_context(definition, ctx, $$scope, fn) {
    return definition[1] && fn
        ? assign($$scope.ctx.slice(), definition[1](fn(ctx)))
        : $$scope.ctx;
}
function get_slot_changes(definition, $$scope, dirty, fn) {
    if (definition[2] && fn) {
        const lets = definition[2](fn(dirty));
        if ($$scope.dirty === undefined) {
            return lets;
        }
        if (typeof lets === 'object') {
            const merged = [];
            const len = Math.max($$scope.dirty.length, lets.length);
            for (let i = 0; i < len; i += 1) {
                merged[i] = $$scope.dirty[i] | lets[i];
            }
            return merged;
        }
        return $$scope.dirty | lets;
    }
    return $$scope.dirty;
}
function update_slot_base(slot, slot_definition, ctx, $$scope, slot_changes, get_slot_context_fn) {
    if (slot_changes) {
        const slot_context = get_slot_context(slot_definition, ctx, $$scope, get_slot_context_fn);
        slot.p(slot_context, slot_changes);
    }
}
function get_all_dirty_from_scope($$scope) {
    if ($$scope.ctx.length > 32) {
        const dirty = [];
        const length = $$scope.ctx.length / 32;
        for (let i = 0; i < length; i++) {
            dirty[i] = -1;
        }
        return dirty;
    }
    return -1;
}
function exclude_internal_props(props) {
    const result = {};
    for (const k in props)
        if (k[0] !== '$')
            result[k] = props[k];
    return result;
}
function compute_rest_props(props, keys) {
    const rest = {};
    keys = new Set(keys);
    for (const k in props)
        if (!keys.has(k) && k[0] !== '$')
            rest[k] = props[k];
    return rest;
}
function compute_slots(slots) {
    const result = {};
    for (const key in slots) {
        result[key] = true;
    }
    return result;
}
function action_destroyer(action_result) {
    return action_result && is_function(action_result.destroy) ? action_result.destroy : noop;
}
function append(target, node) {
    target.appendChild(node);
}
function insert(target, node, anchor) {
    target.insertBefore(node, anchor || null);
}
function detach(node) {
    node.parentNode.removeChild(node);
}
function destroy_each(iterations, detaching) {
    for (let i = 0; i < iterations.length; i += 1) {
        if (iterations[i])
            iterations[i].d(detaching);
    }
}
function element(name) {
    return document.createElement(name);
}
function svg_element(name) {
    return document.createElementNS('http://www.w3.org/2000/svg', name);
}
function text(data) {
    return document.createTextNode(data);
}
function space() {
    return text(' ');
}
function empty() {
    return text('');
}
function listen(node, event, handler, options) {
    node.addEventListener(event, handler, options);
    return () => node.removeEventListener(event, handler, options);
}
function prevent_default(fn) {
    return function (event) {
        event.preventDefault();
        // @ts-ignore
        return fn.call(this, event);
    };
}
function attr(node, attribute, value) {
    if (value == null)
        node.removeAttribute(attribute);
    else if (node.getAttribute(attribute) !== value)
        node.setAttribute(attribute, value);
}
function set_attributes(node, attributes) {
    // @ts-ignore
    const descriptors = Object.getOwnPropertyDescriptors(node.__proto__);
    for (const key in attributes) {
        if (attributes[key] == null) {
            node.removeAttribute(key);
        }
        else if (key === 'style') {
            node.style.cssText = attributes[key];
        }
        else if (key === '__value') {
            node.value = node[key] = attributes[key];
        }
        else if (descriptors[key] && descriptors[key].set) {
            node[key] = attributes[key];
        }
        else {
            attr(node, key, attributes[key]);
        }
    }
}
function children(element) {
    return Array.from(element.childNodes);
}
function set_input_value(input, value) {
    input.value = value == null ? '' : value;
}
function toggle_class(element, name, toggle) {
    element.classList[toggle ? 'add' : 'remove'](name);
}
function custom_event(type, detail, { bubbles = false, cancelable = false } = {}) {
    const e = document.createEvent('CustomEvent');
    e.initCustomEvent(type, bubbles, cancelable, detail);
    return e;
}
class HtmlTag {
    constructor(is_svg = false) {
        this.is_svg = false;
        this.is_svg = is_svg;
        this.e = this.n = null;
    }
    c(html) {
        this.h(html);
    }
    m(html, target, anchor = null) {
        if (!this.e) {
            if (this.is_svg)
                this.e = svg_element(target.nodeName);
            else
                this.e = element(target.nodeName);
            this.t = target;
            this.c(html);
        }
        this.i(anchor);
    }
    h(html) {
        this.e.innerHTML = html;
        this.n = Array.from(this.e.childNodes);
    }
    i(anchor) {
        for (let i = 0; i < this.n.length; i += 1) {
            insert(this.t, this.n[i], anchor);
        }
    }
    p(html) {
        this.d();
        this.h(html);
        this.i(this.a);
    }
    d() {
        this.n.forEach(detach);
    }
}

let current_component;
function set_current_component(component) {
    current_component = component;
}
function get_current_component() {
    if (!current_component)
        throw new Error('Function called outside component initialization');
    return current_component;
}
function onMount(fn) {
    get_current_component().$$.on_mount.push(fn);
}
function afterUpdate(fn) {
    get_current_component().$$.after_update.push(fn);
}
function onDestroy(fn) {
    get_current_component().$$.on_destroy.push(fn);
}
function createEventDispatcher() {
    const component = get_current_component();
    return (type, detail, { cancelable = false } = {}) => {
        const callbacks = component.$$.callbacks[type];
        if (callbacks) {
            // TODO are there situations where events could be dispatched
            // in a server (non-DOM) environment?
            const event = custom_event(type, detail, { cancelable });
            callbacks.slice().forEach(fn => {
                fn.call(component, event);
            });
            return !event.defaultPrevented;
        }
        return true;
    };
}
function setContext(key, context) {
    get_current_component().$$.context.set(key, context);
    return context;
}
function getContext(key) {
    return get_current_component().$$.context.get(key);
}
// TODO figure out if we still want to support
// shorthand events, or if we want to implement
// a real bubbling mechanism
function bubble(component, event) {
    const callbacks = component.$$.callbacks[event.type];
    if (callbacks) {
        // @ts-ignore
        callbacks.slice().forEach(fn => fn.call(this, event));
    }
}

const dirty_components = [];
const binding_callbacks = [];
const render_callbacks = [];
const flush_callbacks = [];
const resolved_promise = Promise.resolve();
let update_scheduled = false;
function schedule_update() {
    if (!update_scheduled) {
        update_scheduled = true;
        resolved_promise.then(flush);
    }
}
function tick() {
    schedule_update();
    return resolved_promise;
}
function add_render_callback(fn) {
    render_callbacks.push(fn);
}
function add_flush_callback(fn) {
    flush_callbacks.push(fn);
}
// flush() calls callbacks in this order:
// 1. All beforeUpdate callbacks, in order: parents before children
// 2. All bind:this callbacks, in reverse order: children before parents.
// 3. All afterUpdate callbacks, in order: parents before children. EXCEPT
//    for afterUpdates called during the initial onMount, which are called in
//    reverse order: children before parents.
// Since callbacks might update component values, which could trigger another
// call to flush(), the following steps guard against this:
// 1. During beforeUpdate, any updated components will be added to the
//    dirty_components array and will cause a reentrant call to flush(). Because
//    the flush index is kept outside the function, the reentrant call will pick
//    up where the earlier call left off and go through all dirty components. The
//    current_component value is saved and restored so that the reentrant call will
//    not interfere with the "parent" flush() call.
// 2. bind:this callbacks cannot trigger new flush() calls.
// 3. During afterUpdate, any updated components will NOT have their afterUpdate
//    callback called a second time; the seen_callbacks set, outside the flush()
//    function, guarantees this behavior.
const seen_callbacks = new Set();
let flushidx = 0; // Do *not* move this inside the flush() function
function flush() {
    const saved_component = current_component;
    do {
        // first, call beforeUpdate functions
        // and update components
        while (flushidx < dirty_components.length) {
            const component = dirty_components[flushidx];
            flushidx++;
            set_current_component(component);
            update(component.$$);
        }
        set_current_component(null);
        dirty_components.length = 0;
        flushidx = 0;
        while (binding_callbacks.length)
            binding_callbacks.pop()();
        // then, once components are updated, call
        // afterUpdate functions. This may cause
        // subsequent updates...
        for (let i = 0; i < render_callbacks.length; i += 1) {
            const callback = render_callbacks[i];
            if (!seen_callbacks.has(callback)) {
                // ...so guard against infinite loops
                seen_callbacks.add(callback);
                callback();
            }
        }
        render_callbacks.length = 0;
    } while (dirty_components.length);
    while (flush_callbacks.length) {
        flush_callbacks.pop()();
    }
    update_scheduled = false;
    seen_callbacks.clear();
    set_current_component(saved_component);
}
function update($$) {
    if ($$.fragment !== null) {
        $$.update();
        run_all($$.before_update);
        const dirty = $$.dirty;
        $$.dirty = [-1];
        $$.fragment && $$.fragment.p($$.ctx, dirty);
        $$.after_update.forEach(add_render_callback);
    }
}
const outroing = new Set();
let outros;
function group_outros() {
    outros = {
        r: 0,
        c: [],
        p: outros // parent group
    };
}
function check_outros() {
    if (!outros.r) {
        run_all(outros.c);
    }
    outros = outros.p;
}
function transition_in(block, local) {
    if (block && block.i) {
        outroing.delete(block);
        block.i(local);
    }
}
function transition_out(block, local, detach, callback) {
    if (block && block.o) {
        if (outroing.has(block))
            return;
        outroing.add(block);
        outros.c.push(() => {
            outroing.delete(block);
            if (callback) {
                if (detach)
                    block.d(1);
                callback();
            }
        });
        block.o(local);
    }
    else if (callback) {
        callback();
    }
}

const globals = (typeof window !== 'undefined'
    ? window
    : typeof globalThis !== 'undefined'
        ? globalThis
        : global);

function get_spread_update(levels, updates) {
    const update = {};
    const to_null_out = {};
    const accounted_for = { $$scope: 1 };
    let i = levels.length;
    while (i--) {
        const o = levels[i];
        const n = updates[i];
        if (n) {
            for (const key in o) {
                if (!(key in n))
                    to_null_out[key] = 1;
            }
            for (const key in n) {
                if (!accounted_for[key]) {
                    update[key] = n[key];
                    accounted_for[key] = 1;
                }
            }
            levels[i] = n;
        }
        else {
            for (const key in o) {
                accounted_for[key] = 1;
            }
        }
    }
    for (const key in to_null_out) {
        if (!(key in update))
            update[key] = undefined;
    }
    return update;
}
function get_spread_object(spread_props) {
    return typeof spread_props === 'object' && spread_props !== null ? spread_props : {};
}

function bind(component, name, callback) {
    const index = component.$$.props[name];
    if (index !== undefined) {
        component.$$.bound[index] = callback;
        callback(component.$$.ctx[index]);
    }
}
function create_component(block) {
    block && block.c();
}
function mount_component(component, target, anchor, customElement) {
    const { fragment, on_mount, on_destroy, after_update } = component.$$;
    fragment && fragment.m(target, anchor);
    if (!customElement) {
        // onMount happens before the initial afterUpdate
        add_render_callback(() => {
            const new_on_destroy = on_mount.map(run).filter(is_function);
            if (on_destroy) {
                on_destroy.push(...new_on_destroy);
            }
            else {
                // Edge case - component was destroyed immediately,
                // most likely as a result of a binding initialising
                run_all(new_on_destroy);
            }
            component.$$.on_mount = [];
        });
    }
    after_update.forEach(add_render_callback);
}
function destroy_component(component, detaching) {
    const $$ = component.$$;
    if ($$.fragment !== null) {
        run_all($$.on_destroy);
        $$.fragment && $$.fragment.d(detaching);
        // TODO null out other refs, including component.$$ (but need to
        // preserve final state?)
        $$.on_destroy = $$.fragment = null;
        $$.ctx = [];
    }
}
function make_dirty(component, i) {
    if (component.$$.dirty[0] === -1) {
        dirty_components.push(component);
        schedule_update();
        component.$$.dirty.fill(0);
    }
    component.$$.dirty[(i / 31) | 0] |= (1 << (i % 31));
}
function init(component, options, instance, create_fragment, not_equal, props, append_styles, dirty = [-1]) {
    const parent_component = current_component;
    set_current_component(component);
    const $$ = component.$$ = {
        fragment: null,
        ctx: null,
        // state
        props,
        update: noop,
        not_equal,
        bound: blank_object(),
        // lifecycle
        on_mount: [],
        on_destroy: [],
        on_disconnect: [],
        before_update: [],
        after_update: [],
        context: new Map(options.context || (parent_component ? parent_component.$$.context : [])),
        // everything else
        callbacks: blank_object(),
        dirty,
        skip_bound: false,
        root: options.target || parent_component.$$.root
    };
    append_styles && append_styles($$.root);
    let ready = false;
    $$.ctx = instance
        ? instance(component, options.props || {}, (i, ret, ...rest) => {
            const value = rest.length ? rest[0] : ret;
            if ($$.ctx && not_equal($$.ctx[i], $$.ctx[i] = value)) {
                if (!$$.skip_bound && $$.bound[i])
                    $$.bound[i](value);
                if (ready)
                    make_dirty(component, i);
            }
            return ret;
        })
        : [];
    $$.update();
    ready = true;
    run_all($$.before_update);
    // `false` as a special case of no DOM component
    $$.fragment = create_fragment ? create_fragment($$.ctx) : false;
    if (options.target) {
        if (options.hydrate) {
            const nodes = children(options.target);
            // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
            $$.fragment && $$.fragment.l(nodes);
            nodes.forEach(detach);
        }
        else {
            // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
            $$.fragment && $$.fragment.c();
        }
        if (options.intro)
            transition_in(component.$$.fragment);
        mount_component(component, options.target, options.anchor, options.customElement);
        flush();
    }
    set_current_component(parent_component);
}
/**
 * Base class for Svelte components. Used when dev=false.
 */
class SvelteComponent {
    $destroy() {
        destroy_component(this, 1);
        this.$destroy = noop;
    }
    $on(type, callback) {
        const callbacks = (this.$$.callbacks[type] || (this.$$.callbacks[type] = []));
        callbacks.push(callback);
        return () => {
            const index = callbacks.indexOf(callback);
            if (index !== -1)
                callbacks.splice(index, 1);
        };
    }
    $set($$props) {
        if (this.$$set && !is_empty($$props)) {
            this.$$.skip_bound = true;
            this.$$set($$props);
            this.$$.skip_bound = false;
        }
    }
}

function dispatch_dev(type, detail) {
    document.dispatchEvent(custom_event(type, Object.assign({ version: '3.50.0' }, detail), { bubbles: true }));
}
function append_dev(target, node) {
    dispatch_dev('SvelteDOMInsert', { target, node });
    append(target, node);
}
function insert_dev(target, node, anchor) {
    dispatch_dev('SvelteDOMInsert', { target, node, anchor });
    insert(target, node, anchor);
}
function detach_dev(node) {
    dispatch_dev('SvelteDOMRemove', { node });
    detach(node);
}
function listen_dev(node, event, handler, options, has_prevent_default, has_stop_propagation) {
    const modifiers = options === true ? ['capture'] : options ? Array.from(Object.keys(options)) : [];
    if (has_prevent_default)
        modifiers.push('preventDefault');
    if (has_stop_propagation)
        modifiers.push('stopPropagation');
    dispatch_dev('SvelteDOMAddEventListener', { node, event, handler, modifiers });
    const dispose = listen(node, event, handler, options);
    return () => {
        dispatch_dev('SvelteDOMRemoveEventListener', { node, event, handler, modifiers });
        dispose();
    };
}
function attr_dev(node, attribute, value) {
    attr(node, attribute, value);
    if (value == null)
        dispatch_dev('SvelteDOMRemoveAttribute', { node, attribute });
    else
        dispatch_dev('SvelteDOMSetAttribute', { node, attribute, value });
}
function set_data_dev(text, data) {
    data = '' + data;
    if (text.wholeText === data)
        return;
    dispatch_dev('SvelteDOMSetData', { node: text, data });
    text.data = data;
}
function validate_each_argument(arg) {
    if (typeof arg !== 'string' && !(arg && typeof arg === 'object' && 'length' in arg)) {
        let msg = '{#each} only iterates over array-like objects.';
        if (typeof Symbol === 'function' && arg && Symbol.iterator in arg) {
            msg += ' You can use a spread to convert this iterable into an array.';
        }
        throw new Error(msg);
    }
}
function validate_slots(name, slot, keys) {
    for (const slot_key of Object.keys(slot)) {
        if (!~keys.indexOf(slot_key)) {
            console.warn(`<${name}> received an unexpected slot "${slot_key}".`);
        }
    }
}
/**
 * Base class for Svelte components with some minor dev-enhancements. Used when dev=true.
 */
class SvelteComponentDev extends SvelteComponent {
    constructor(options) {
        if (!options || (!options.target && !options.$$inline)) {
            throw new Error("'target' is a required option");
        }
        super();
    }
    $destroy() {
        super.$destroy();
        this.$destroy = () => {
            console.warn('Component was already destroyed'); // eslint-disable-line no-console
        };
    }
    $capture_state() { }
    $inject_state() { }
}

function collapse (node, params) {

    const defaultParams = {
        open: true,
        duration: 0.2,
        easing: 'ease'
    };

    params = Object.assign(defaultParams, params);

    const noop = () => {};
    let transitionEndResolve = noop;
    let transitionEndReject = noop;

    const listener = node.addEventListener('transitionend', () => {
        transitionEndResolve();
        transitionEndResolve = noop;
        transitionEndReject = noop;
    });

    // convenience functions
    async function asyncTransitionEnd () {
        return new Promise((resolve, reject) => {
            transitionEndResolve = resolve;
            transitionEndReject = reject;
        })
    }

    async function nextFrame () {
        return new Promise(requestAnimationFrame)
    }

    function transition () {
        return `height ${params.duration}s ${params.easing}`
    }

    // set initial styles
    node.style.transition = transition();
    node.style.height = params.open ? 'auto' : '0px';

    if (params.open) {
        node.style.overflow = 'visible';
    }
    else {
        node.style.overflow = 'hidden';
    }

    async function enter () {

        // height is already in pixels
        // start the transition
        node.style.height = node.scrollHeight + 'px';

        // wait for transition to end,
        // then switch back to height auto
        try {
            await asyncTransitionEnd();
            node.style.height = 'auto';
            node.style.overflow = 'visible';
        } catch(err) {
            // interrupted by a leave transition
        }

    }

    async function leave () {

        if (node.style.height === 'auto') {

            // temporarily turn transitions off
            node.style.transition = 'none';
            await nextFrame();

            // set height to pixels, and turn transition back on
            node.style.height = node.scrollHeight + 'px';
            node.style.transition = transition();
            await nextFrame();

            // start the transition
            node.style.overflow = 'hidden';
            node.style.height = '0px';

        }
        else {

            // we are interrupting an enter transition
            transitionEndReject();
            node.style.overflow = 'hidden';
            node.style.height = '0px';

        }

    }

    function update (newParams) {
        params = Object.assign(params, newParams);
        params.open ? enter() : leave();
    }

    function destroy () {
        node.removeEventListener('transitionend', listener);
    }

    return { update, destroy }

}

const subscriber_queue = [];
/**
 * Create a `Writable` store that allows both updating and reading by subscription.
 * @param {*=}value initial value
 * @param {StartStopNotifier=}start start and stop notifications for subscriptions
 */
function writable(value, start = noop) {
    let stop;
    const subscribers = new Set();
    function set(new_value) {
        if (safe_not_equal(value, new_value)) {
            value = new_value;
            if (stop) { // store is ready
                const run_queue = !subscriber_queue.length;
                for (const subscriber of subscribers) {
                    subscriber[1]();
                    subscriber_queue.push(subscriber, value);
                }
                if (run_queue) {
                    for (let i = 0; i < subscriber_queue.length; i += 2) {
                        subscriber_queue[i][0](subscriber_queue[i + 1]);
                    }
                    subscriber_queue.length = 0;
                }
            }
        }
    }
    function update(fn) {
        set(fn(value));
    }
    function subscribe(run, invalidate = noop) {
        const subscriber = [run, invalidate];
        subscribers.add(subscriber);
        if (subscribers.size === 1) {
            stop = start(set) || noop;
        }
        run(value);
        return () => {
            subscribers.delete(subscriber);
            if (subscribers.size === 0) {
                stop();
                stop = null;
            }
        };
    }
    return { set, update, subscribe };
}

/* node_modules\svelte-collapsible\src\components\Accordion.svelte generated by Svelte v3.50.0 */

const { Object: Object_1$1 } = globals;
const file$4 = "node_modules\\svelte-collapsible\\src\\components\\Accordion.svelte";

function create_fragment$4(ctx) {
	let ul;
	let current;
	const default_slot_template = /*#slots*/ ctx[4].default;
	const default_slot = create_slot(default_slot_template, ctx, /*$$scope*/ ctx[3], null);

	const block = {
		c: function create() {
			ul = element("ul");
			if (default_slot) default_slot.c();
			attr_dev(ul, "class", "accordion svelte-da9j5z");
			add_location(ul, file$4, 34, 0, 829);
		},
		l: function claim(nodes) {
			throw new Error("options.hydrate only works if the component was compiled with the `hydratable: true` option");
		},
		m: function mount(target, anchor) {
			insert_dev(target, ul, anchor);

			if (default_slot) {
				default_slot.m(ul, null);
			}

			current = true;
		},
		p: function update(ctx, [dirty]) {
			if (default_slot) {
				if (default_slot.p && (!current || dirty & /*$$scope*/ 8)) {
					update_slot_base(
						default_slot,
						default_slot_template,
						ctx,
						/*$$scope*/ ctx[3],
						!current
						? get_all_dirty_from_scope(/*$$scope*/ ctx[3])
						: get_slot_changes(default_slot_template, /*$$scope*/ ctx[3], dirty, null),
						null
					);
				}
			}
		},
		i: function intro(local) {
			if (current) return;
			transition_in(default_slot, local);
			current = true;
		},
		o: function outro(local) {
			transition_out(default_slot, local);
			current = false;
		},
		d: function destroy(detaching) {
			if (detaching) detach_dev(ul);
			if (default_slot) default_slot.d(detaching);
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: create_fragment$4.name,
		type: "component",
		source: "",
		ctx
	});

	return block;
}

function instance$4($$self, $$props, $$invalidate) {
	let { $$slots: slots = {}, $$scope } = $$props;
	validate_slots('Accordion', slots, ['default']);
	let { duration = 0.2 } = $$props;
	let { easing = 'ease' } = $$props;
	let { key = null } = $$props;
	const dispatch = createEventDispatcher();

	// create a store for the children to access
	const store = writable({ key, duration, easing });

	// when the store changes, update the key prop
	const unsubscribe = store.subscribe(s => {
		$$invalidate(0, key = s.key);
		dispatch('change', { key });
	});

	// make the store available to children
	setContext('svelte-collapsible-accordion', store);

	onDestroy(unsubscribe);
	const writable_props = ['duration', 'easing', 'key'];

	Object_1$1.keys($$props).forEach(key => {
		if (!~writable_props.indexOf(key) && key.slice(0, 2) !== '$$' && key !== 'slot') console.warn(`<Accordion> was created with unknown prop '${key}'`);
	});

	$$self.$$set = $$props => {
		if ('duration' in $$props) $$invalidate(1, duration = $$props.duration);
		if ('easing' in $$props) $$invalidate(2, easing = $$props.easing);
		if ('key' in $$props) $$invalidate(0, key = $$props.key);
		if ('$$scope' in $$props) $$invalidate(3, $$scope = $$props.$$scope);
	};

	$$self.$capture_state = () => ({
		onDestroy,
		setContext,
		createEventDispatcher,
		writable,
		duration,
		easing,
		key,
		dispatch,
		store,
		unsubscribe
	});

	$$self.$inject_state = $$props => {
		if ('duration' in $$props) $$invalidate(1, duration = $$props.duration);
		if ('easing' in $$props) $$invalidate(2, easing = $$props.easing);
		if ('key' in $$props) $$invalidate(0, key = $$props.key);
	};

	if ($$props && "$$inject" in $$props) {
		$$self.$inject_state($$props.$$inject);
	}

	$$self.$$.update = () => {
		if ($$self.$$.dirty & /*key*/ 1) {
			// when the key prop changes, update the store
			store.update(s => Object.assign(s, { key }));
		}
	};

	return [key, duration, easing, $$scope, slots];
}

class Accordion extends SvelteComponentDev {
	constructor(options) {
		super(options);
		init(this, options, instance$4, create_fragment$4, safe_not_equal, { duration: 1, easing: 2, key: 0 });

		dispatch_dev("SvelteRegisterComponent", {
			component: this,
			tagName: "Accordion",
			options,
			id: create_fragment$4.name
		});
	}

	get duration() {
		throw new Error("<Accordion>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set duration(value) {
		throw new Error("<Accordion>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get easing() {
		throw new Error("<Accordion>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set easing(value) {
		throw new Error("<Accordion>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get key() {
		throw new Error("<Accordion>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set key(value) {
		throw new Error("<Accordion>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}
}

/* node_modules\svelte-collapsible\src\components\AccordionItem.svelte generated by Svelte v3.50.0 */

const { Object: Object_1 } = globals;
const file$3 = "node_modules\\svelte-collapsible\\src\\components\\AccordionItem.svelte";
const get_body_slot_changes = dirty => ({});
const get_body_slot_context = ctx => ({});
const get_header_slot_changes = dirty => ({});
const get_header_slot_context = ctx => ({});

function create_fragment$3(ctx) {
	let li;
	let button;
	let t0;
	let div;
	let collapse_action;
	let t1;
	let current;
	let mounted;
	let dispose;
	const header_slot_template = /*#slots*/ ctx[6].header;
	const header_slot = create_slot(header_slot_template, ctx, /*$$scope*/ ctx[5], get_header_slot_context);
	const body_slot_template = /*#slots*/ ctx[6].body;
	const body_slot = create_slot(body_slot_template, ctx, /*$$scope*/ ctx[5], get_body_slot_context);
	const default_slot_template = /*#slots*/ ctx[6].default;
	const default_slot = create_slot(default_slot_template, ctx, /*$$scope*/ ctx[5], null);

	const block = {
		c: function create() {
			li = element("li");
			button = element("button");
			if (header_slot) header_slot.c();
			t0 = space();
			div = element("div");
			if (body_slot) body_slot.c();
			t1 = space();
			if (default_slot) default_slot.c();
			attr_dev(button, "type", "button");
			attr_dev(button, "class", "accordion-item-header svelte-c582kf");
			add_location(button, file$3, 32, 4, 595);
			attr_dev(div, "class", "accordion-item-body");
			add_location(div, file$3, 36, 4, 722);
			attr_dev(li, "class", "accordion-item");
			toggle_class(li, "open", /*params*/ ctx[0].open);
			add_location(li, file$3, 30, 0, 537);
		},
		l: function claim(nodes) {
			throw new Error("options.hydrate only works if the component was compiled with the `hydratable: true` option");
		},
		m: function mount(target, anchor) {
			insert_dev(target, li, anchor);
			append_dev(li, button);

			if (header_slot) {
				header_slot.m(button, null);
			}

			append_dev(li, t0);
			append_dev(li, div);

			if (body_slot) {
				body_slot.m(div, null);
			}

			append_dev(li, t1);

			if (default_slot) {
				default_slot.m(li, null);
			}

			current = true;

			if (!mounted) {
				dispose = [
					listen_dev(button, "click", /*handleToggle*/ ctx[2], false, false, false),
					action_destroyer(collapse_action = collapse.call(null, div, /*params*/ ctx[0]))
				];

				mounted = true;
			}
		},
		p: function update(ctx, [dirty]) {
			if (header_slot) {
				if (header_slot.p && (!current || dirty & /*$$scope*/ 32)) {
					update_slot_base(
						header_slot,
						header_slot_template,
						ctx,
						/*$$scope*/ ctx[5],
						!current
						? get_all_dirty_from_scope(/*$$scope*/ ctx[5])
						: get_slot_changes(header_slot_template, /*$$scope*/ ctx[5], dirty, get_header_slot_changes),
						get_header_slot_context
					);
				}
			}

			if (body_slot) {
				if (body_slot.p && (!current || dirty & /*$$scope*/ 32)) {
					update_slot_base(
						body_slot,
						body_slot_template,
						ctx,
						/*$$scope*/ ctx[5],
						!current
						? get_all_dirty_from_scope(/*$$scope*/ ctx[5])
						: get_slot_changes(body_slot_template, /*$$scope*/ ctx[5], dirty, get_body_slot_changes),
						get_body_slot_context
					);
				}
			}

			if (collapse_action && is_function(collapse_action.update) && dirty & /*params*/ 1) collapse_action.update.call(null, /*params*/ ctx[0]);

			if (default_slot) {
				if (default_slot.p && (!current || dirty & /*$$scope*/ 32)) {
					update_slot_base(
						default_slot,
						default_slot_template,
						ctx,
						/*$$scope*/ ctx[5],
						!current
						? get_all_dirty_from_scope(/*$$scope*/ ctx[5])
						: get_slot_changes(default_slot_template, /*$$scope*/ ctx[5], dirty, null),
						null
					);
				}
			}

			if (!current || dirty & /*params*/ 1) {
				toggle_class(li, "open", /*params*/ ctx[0].open);
			}
		},
		i: function intro(local) {
			if (current) return;
			transition_in(header_slot, local);
			transition_in(body_slot, local);
			transition_in(default_slot, local);
			current = true;
		},
		o: function outro(local) {
			transition_out(header_slot, local);
			transition_out(body_slot, local);
			transition_out(default_slot, local);
			current = false;
		},
		d: function destroy(detaching) {
			if (detaching) detach_dev(li);
			if (header_slot) header_slot.d(detaching);
			if (body_slot) body_slot.d(detaching);
			if (default_slot) default_slot.d(detaching);
			mounted = false;
			run_all(dispose);
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: create_fragment$3.name,
		type: "component",
		source: "",
		ctx
	});

	return block;
}

function instance$3($$self, $$props, $$invalidate) {
	let params;
	let $store;
	let { $$slots: slots = {}, $$scope } = $$props;
	validate_slots('AccordionItem', slots, ['header','body','default']);
	let { key } = $$props;
	const store = getContext('svelte-collapsible-accordion');
	validate_store(store, 'store');
	component_subscribe($$self, store, value => $$invalidate(4, $store = value));

	function handleToggle() {
		if (params.open) {
			store.update(s => Object.assign(s, { key: null }));
		} else {
			store.update(s => Object.assign(s, { key }));
		}
	}

	const writable_props = ['key'];

	Object_1.keys($$props).forEach(key => {
		if (!~writable_props.indexOf(key) && key.slice(0, 2) !== '$$' && key !== 'slot') console.warn(`<AccordionItem> was created with unknown prop '${key}'`);
	});

	$$self.$$set = $$props => {
		if ('key' in $$props) $$invalidate(3, key = $$props.key);
		if ('$$scope' in $$props) $$invalidate(5, $$scope = $$props.$$scope);
	};

	$$self.$capture_state = () => ({
		getContext,
		collapse,
		key,
		store,
		handleToggle,
		params,
		$store
	});

	$$self.$inject_state = $$props => {
		if ('key' in $$props) $$invalidate(3, key = $$props.key);
		if ('params' in $$props) $$invalidate(0, params = $$props.params);
	};

	if ($$props && "$$inject" in $$props) {
		$$self.$inject_state($$props.$$inject);
	}

	$$self.$$.update = () => {
		if ($$self.$$.dirty & /*$store, key*/ 24) {
			$$invalidate(0, params = {
				open: $store.key === key,
				duration: $store.duration,
				easing: $store.easing
			});
		}
	};

	return [params, store, handleToggle, key, $store, $$scope, slots];
}

class AccordionItem extends SvelteComponentDev {
	constructor(options) {
		super(options);
		init(this, options, instance$3, create_fragment$3, safe_not_equal, { key: 3 });

		dispatch_dev("SvelteRegisterComponent", {
			component: this,
			tagName: "AccordionItem",
			options,
			id: create_fragment$3.name
		});

		const { ctx } = this.$$;
		const props = options.props || {};

		if (/*key*/ ctx[3] === undefined && !('key' in props)) {
			console.warn("<AccordionItem> was created without expected prop 'key'");
		}
	}

	get key() {
		throw new Error("<AccordionItem>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set key(value) {
		throw new Error("<AccordionItem>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}
}

var fuzzy$1 = {exports: {}};

/*
 * Fuzzy
 * https://github.com/myork/fuzzy
 *
 * Copyright (c) 2012 Matt York
 * Licensed under the MIT license.
 */

(function (module, exports) {
	(function() {

	var fuzzy = {};

	// Use in node or in browser
	{
	  module.exports = fuzzy;
	}

	// Return all elements of `array` that have a fuzzy
	// match against `pattern`.
	fuzzy.simpleFilter = function(pattern, array) {
	  return array.filter(function(str) {
	    return fuzzy.test(pattern, str);
	  });
	};

	// Does `pattern` fuzzy match `str`?
	fuzzy.test = function(pattern, str) {
	  return fuzzy.match(pattern, str) !== null;
	};

	// If `pattern` matches `str`, wrap each matching character
	// in `opts.pre` and `opts.post`. If no match, return null
	fuzzy.match = function(pattern, str, opts) {
	  opts = opts || {};
	  var patternIdx = 0
	    , result = []
	    , len = str.length
	    , totalScore = 0
	    , currScore = 0
	    // prefix
	    , pre = opts.pre || ''
	    // suffix
	    , post = opts.post || ''
	    // String to compare against. This might be a lowercase version of the
	    // raw string
	    , compareString =  opts.caseSensitive && str || str.toLowerCase()
	    , ch;

	  pattern = opts.caseSensitive && pattern || pattern.toLowerCase();

	  // For each character in the string, either add it to the result
	  // or wrap in template if it's the next string in the pattern
	  for(var idx = 0; idx < len; idx++) {
	    ch = str[idx];
	    if(compareString[idx] === pattern[patternIdx]) {
	      ch = pre + ch + post;
	      patternIdx += 1;

	      // consecutive characters should increase the score more than linearly
	      currScore += 1 + currScore;
	    } else {
	      currScore = 0;
	    }
	    totalScore += currScore;
	    result[result.length] = ch;
	  }

	  // return rendered string if we have a match for every char
	  if(patternIdx === pattern.length) {
	    // if the string is an exact match with pattern, totalScore should be maxed
	    totalScore = (compareString === pattern) ? Infinity : totalScore;
	    return {rendered: result.join(''), score: totalScore};
	  }

	  return null;
	};

	// The normal entry point. Filters `arr` for matches against `pattern`.
	// It returns an array with matching values of the type:
	//
	//     [{
	//         string:   '<b>lah' // The rendered string
	//       , index:    2        // The index of the element in `arr`
	//       , original: 'blah'   // The original element in `arr`
	//     }]
	//
	// `opts` is an optional argument bag. Details:
	//
	//    opts = {
	//        // string to put before a matching character
	//        pre:     '<b>'
	//
	//        // string to put after matching character
	//      , post:    '</b>'
	//
	//        // Optional function. Input is an entry in the given arr`,
	//        // output should be the string to test `pattern` against.
	//        // In this example, if `arr = [{crying: 'koala'}]` we would return
	//        // 'koala'.
	//      , extract: function(arg) { return arg.crying; }
	//    }
	fuzzy.filter = function(pattern, arr, opts) {
	  if(!arr || arr.length === 0) {
	    return [];
	  }
	  if (typeof pattern !== 'string') {
	    return arr;
	  }
	  opts = opts || {};
	  return arr
	    .reduce(function(prev, element, idx, arr) {
	      var str = element;
	      if(opts.extract) {
	        str = opts.extract(element);
	      }
	      var rendered = fuzzy.match(pattern, str, opts);
	      if(rendered != null) {
	        prev[prev.length] = {
	            string: rendered.rendered
	          , score: rendered.score
	          , index: idx
	          , original: element
	        };
	      }
	      return prev;
	    }, [])

	    // Sort by score. Browsers are inconsistent wrt stable/unstable
	    // sorting, so force stable by using the index in the case of tie.
	    // See http://ofb.net/~sethml/is-sort-stable.html
	    .sort(function(a,b) {
	      var compare = b.score - a.score;
	      if(compare) return compare;
	      return a.index - b.index;
	    });
	};


	}());
} (fuzzy$1));

var fuzzy = fuzzy$1.exports;

/* node_modules\svelte-search\src\Search.svelte generated by Svelte v3.50.0 */
const file$2 = "node_modules\\svelte-search\\src\\Search.svelte";
const get_label_slot_changes = dirty => ({});
const get_label_slot_context = ctx => ({});

// (60:23) {label}
function fallback_block$1(ctx) {
	let t;

	const block = {
		c: function create() {
			t = text(/*label*/ ctx[2]);
		},
		m: function mount(target, anchor) {
			insert_dev(target, t, anchor);
		},
		p: function update(ctx, dirty) {
			if (dirty & /*label*/ 4) set_data_dev(t, /*label*/ ctx[2]);
		},
		d: function destroy(detaching) {
			if (detaching) detach_dev(t);
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: fallback_block$1.name,
		type: "fallback",
		source: "(60:23) {label}",
		ctx
	});

	return block;
}

function create_fragment$2(ctx) {
	let form;
	let label_1;
	let label_1_id_value;
	let t;
	let input;
	let form_role_value;
	let form_aria_labelledby_value;
	let current;
	let mounted;
	let dispose;
	const label_slot_template = /*#slots*/ ctx[10].label;
	const label_slot = create_slot(label_slot_template, ctx, /*$$scope*/ ctx[9], get_label_slot_context);
	const label_slot_or_fallback = label_slot || fallback_block$1(ctx);

	let input_levels = [
		{ name: "search" },
		{ type: "search" },
		{ placeholder: "Search..." },
		{ autocomplete: "off" },
		{ spellcheck: "false" },
		/*$$restProps*/ ctx[6],
		{ id: /*id*/ ctx[4] }
	];

	let input_data = {};

	for (let i = 0; i < input_levels.length; i += 1) {
		input_data = assign(input_data, input_levels[i]);
	}

	const block = {
		c: function create() {
			form = element("form");
			label_1 = element("label");
			if (label_slot_or_fallback) label_slot_or_fallback.c();
			t = space();
			input = element("input");
			attr_dev(label_1, "id", label_1_id_value = "" + (/*id*/ ctx[4] + "-label"));
			attr_dev(label_1, "for", /*id*/ ctx[4]);
			attr_dev(label_1, "class", "svelte-5m0wg6");
			toggle_class(label_1, "hide-label", /*hideLabel*/ ctx[3]);
			add_location(label_1, file$2, 58, 2, 1329);
			set_attributes(input, input_data);
			toggle_class(input, "svelte-5m0wg6", true);
			add_location(input, file$2, 61, 2, 1442);
			attr_dev(form, "data-svelte-search", "");
			attr_dev(form, "role", form_role_value = /*removeFormAriaAttributes*/ ctx[5] ? null : "search");

			attr_dev(form, "aria-labelledby", form_aria_labelledby_value = /*removeFormAriaAttributes*/ ctx[5]
			? null
			: /*id*/ ctx[4]);

			add_location(form, file$2, 52, 0, 1162);
		},
		l: function claim(nodes) {
			throw new Error("options.hydrate only works if the component was compiled with the `hydratable: true` option");
		},
		m: function mount(target, anchor) {
			insert_dev(target, form, anchor);
			append_dev(form, label_1);

			if (label_slot_or_fallback) {
				label_slot_or_fallback.m(label_1, null);
			}

			append_dev(form, t);
			append_dev(form, input);
			if (input.autofocus) input.focus();
			/*input_binding*/ ctx[17](input);
			set_input_value(input, /*value*/ ctx[0]);
			current = true;

			if (!mounted) {
				dispose = [
					listen_dev(input, "input", /*input_input_handler*/ ctx[18]),
					listen_dev(input, "input", /*input_handler*/ ctx[12], false, false, false),
					listen_dev(input, "change", /*change_handler*/ ctx[13], false, false, false),
					listen_dev(input, "focus", /*focus_handler*/ ctx[14], false, false, false),
					listen_dev(input, "blur", /*blur_handler*/ ctx[15], false, false, false),
					listen_dev(input, "keydown", /*keydown_handler*/ ctx[16], false, false, false),
					listen_dev(form, "submit", prevent_default(/*submit_handler*/ ctx[11]), false, true, false)
				];

				mounted = true;
			}
		},
		p: function update(ctx, [dirty]) {
			if (label_slot) {
				if (label_slot.p && (!current || dirty & /*$$scope*/ 512)) {
					update_slot_base(
						label_slot,
						label_slot_template,
						ctx,
						/*$$scope*/ ctx[9],
						!current
						? get_all_dirty_from_scope(/*$$scope*/ ctx[9])
						: get_slot_changes(label_slot_template, /*$$scope*/ ctx[9], dirty, get_label_slot_changes),
						get_label_slot_context
					);
				}
			} else {
				if (label_slot_or_fallback && label_slot_or_fallback.p && (!current || dirty & /*label*/ 4)) {
					label_slot_or_fallback.p(ctx, !current ? -1 : dirty);
				}
			}

			if (!current || dirty & /*id*/ 16 && label_1_id_value !== (label_1_id_value = "" + (/*id*/ ctx[4] + "-label"))) {
				attr_dev(label_1, "id", label_1_id_value);
			}

			if (!current || dirty & /*id*/ 16) {
				attr_dev(label_1, "for", /*id*/ ctx[4]);
			}

			if (!current || dirty & /*hideLabel*/ 8) {
				toggle_class(label_1, "hide-label", /*hideLabel*/ ctx[3]);
			}

			set_attributes(input, input_data = get_spread_update(input_levels, [
				{ name: "search" },
				{ type: "search" },
				{ placeholder: "Search..." },
				{ autocomplete: "off" },
				{ spellcheck: "false" },
				dirty & /*$$restProps*/ 64 && /*$$restProps*/ ctx[6],
				(!current || dirty & /*id*/ 16) && { id: /*id*/ ctx[4] }
			]));

			if (dirty & /*value*/ 1) {
				set_input_value(input, /*value*/ ctx[0]);
			}

			toggle_class(input, "svelte-5m0wg6", true);

			if (!current || dirty & /*removeFormAriaAttributes*/ 32 && form_role_value !== (form_role_value = /*removeFormAriaAttributes*/ ctx[5] ? null : "search")) {
				attr_dev(form, "role", form_role_value);
			}

			if (!current || dirty & /*removeFormAriaAttributes, id*/ 48 && form_aria_labelledby_value !== (form_aria_labelledby_value = /*removeFormAriaAttributes*/ ctx[5]
			? null
			: /*id*/ ctx[4])) {
				attr_dev(form, "aria-labelledby", form_aria_labelledby_value);
			}
		},
		i: function intro(local) {
			if (current) return;
			transition_in(label_slot_or_fallback, local);
			current = true;
		},
		o: function outro(local) {
			transition_out(label_slot_or_fallback, local);
			current = false;
		},
		d: function destroy(detaching) {
			if (detaching) detach_dev(form);
			if (label_slot_or_fallback) label_slot_or_fallback.d(detaching);
			/*input_binding*/ ctx[17](null);
			mounted = false;
			run_all(dispose);
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: create_fragment$2.name,
		type: "component",
		source: "",
		ctx
	});

	return block;
}

function instance$2($$self, $$props, $$invalidate) {
	const omit_props_names = [
		"value","autofocus","debounce","label","hideLabel","id","ref","removeFormAriaAttributes"
	];

	let $$restProps = compute_rest_props($$props, omit_props_names);
	let { $$slots: slots = {}, $$scope } = $$props;
	validate_slots('Search', slots, ['label']);
	let { value = "" } = $$props;
	let { autofocus = false } = $$props;
	let { debounce = 0 } = $$props;
	let { label = "Label" } = $$props;
	let { hideLabel = false } = $$props;
	let { id = "search" + Math.random().toString(36) } = $$props;
	let { ref = null } = $$props;
	let { removeFormAriaAttributes = false } = $$props;
	const dispatch = createEventDispatcher();
	let prevValue = value;
	let timeout = undefined;
	let calling = false;

	function debounced(cb) {
		if (calling) return;
		calling = true;

		timeout = setTimeout(
			() => {
				cb();
				calling = false;
			},
			debounce
		);
	}

	onMount(() => {
		if (autofocus) window.requestAnimationFrame(() => ref.focus());
		return () => clearTimeout(timeout);
	});

	afterUpdate(() => {
		if (value.length > 0 && value !== prevValue) {
			if (debounce > 0) {
				debounced(() => dispatch("type", value));
			} else {
				dispatch("type", value);
			}
		}

		if (value.length === 0 && prevValue.length > 0) dispatch("clear");
		prevValue = value;
	});

	function submit_handler(event) {
		bubble.call(this, $$self, event);
	}

	function input_handler(event) {
		bubble.call(this, $$self, event);
	}

	function change_handler(event) {
		bubble.call(this, $$self, event);
	}

	function focus_handler(event) {
		bubble.call(this, $$self, event);
	}

	function blur_handler(event) {
		bubble.call(this, $$self, event);
	}

	function keydown_handler(event) {
		bubble.call(this, $$self, event);
	}

	function input_binding($$value) {
		binding_callbacks[$$value ? 'unshift' : 'push'](() => {
			ref = $$value;
			$$invalidate(1, ref);
		});
	}

	function input_input_handler() {
		value = this.value;
		$$invalidate(0, value);
	}

	$$self.$$set = $$new_props => {
		$$props = assign(assign({}, $$props), exclude_internal_props($$new_props));
		$$invalidate(6, $$restProps = compute_rest_props($$props, omit_props_names));
		if ('value' in $$new_props) $$invalidate(0, value = $$new_props.value);
		if ('autofocus' in $$new_props) $$invalidate(7, autofocus = $$new_props.autofocus);
		if ('debounce' in $$new_props) $$invalidate(8, debounce = $$new_props.debounce);
		if ('label' in $$new_props) $$invalidate(2, label = $$new_props.label);
		if ('hideLabel' in $$new_props) $$invalidate(3, hideLabel = $$new_props.hideLabel);
		if ('id' in $$new_props) $$invalidate(4, id = $$new_props.id);
		if ('ref' in $$new_props) $$invalidate(1, ref = $$new_props.ref);
		if ('removeFormAriaAttributes' in $$new_props) $$invalidate(5, removeFormAriaAttributes = $$new_props.removeFormAriaAttributes);
		if ('$$scope' in $$new_props) $$invalidate(9, $$scope = $$new_props.$$scope);
	};

	$$self.$capture_state = () => ({
		value,
		autofocus,
		debounce,
		label,
		hideLabel,
		id,
		ref,
		removeFormAriaAttributes,
		createEventDispatcher,
		onMount,
		afterUpdate,
		dispatch,
		prevValue,
		timeout,
		calling,
		debounced
	});

	$$self.$inject_state = $$new_props => {
		if ('value' in $$props) $$invalidate(0, value = $$new_props.value);
		if ('autofocus' in $$props) $$invalidate(7, autofocus = $$new_props.autofocus);
		if ('debounce' in $$props) $$invalidate(8, debounce = $$new_props.debounce);
		if ('label' in $$props) $$invalidate(2, label = $$new_props.label);
		if ('hideLabel' in $$props) $$invalidate(3, hideLabel = $$new_props.hideLabel);
		if ('id' in $$props) $$invalidate(4, id = $$new_props.id);
		if ('ref' in $$props) $$invalidate(1, ref = $$new_props.ref);
		if ('removeFormAriaAttributes' in $$props) $$invalidate(5, removeFormAriaAttributes = $$new_props.removeFormAriaAttributes);
		if ('prevValue' in $$props) prevValue = $$new_props.prevValue;
		if ('timeout' in $$props) timeout = $$new_props.timeout;
		if ('calling' in $$props) calling = $$new_props.calling;
	};

	if ($$props && "$$inject" in $$props) {
		$$self.$inject_state($$props.$$inject);
	}

	return [
		value,
		ref,
		label,
		hideLabel,
		id,
		removeFormAriaAttributes,
		$$restProps,
		autofocus,
		debounce,
		$$scope,
		slots,
		submit_handler,
		input_handler,
		change_handler,
		focus_handler,
		blur_handler,
		keydown_handler,
		input_binding,
		input_input_handler
	];
}

class Search extends SvelteComponentDev {
	constructor(options) {
		super(options);

		init(this, options, instance$2, create_fragment$2, safe_not_equal, {
			value: 0,
			autofocus: 7,
			debounce: 8,
			label: 2,
			hideLabel: 3,
			id: 4,
			ref: 1,
			removeFormAriaAttributes: 5
		});

		dispatch_dev("SvelteRegisterComponent", {
			component: this,
			tagName: "Search",
			options,
			id: create_fragment$2.name
		});
	}

	get value() {
		throw new Error("<Search>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set value(value) {
		throw new Error("<Search>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get autofocus() {
		throw new Error("<Search>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set autofocus(value) {
		throw new Error("<Search>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get debounce() {
		throw new Error("<Search>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set debounce(value) {
		throw new Error("<Search>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get label() {
		throw new Error("<Search>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set label(value) {
		throw new Error("<Search>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get hideLabel() {
		throw new Error("<Search>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set hideLabel(value) {
		throw new Error("<Search>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get id() {
		throw new Error("<Search>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set id(value) {
		throw new Error("<Search>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get ref() {
		throw new Error("<Search>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set ref(value) {
		throw new Error("<Search>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get removeFormAriaAttributes() {
		throw new Error("<Search>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set removeFormAriaAttributes(value) {
		throw new Error("<Search>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}
}

var Search$1 = Search;

/* node_modules\svelte-typeahead\src\Typeahead.svelte generated by Svelte v3.50.0 */
const file$1 = "node_modules\\svelte-typeahead\\src\\Typeahead.svelte";

const get_no_results_slot_changes = dirty => ({
	value: dirty[0] & /*value*/ 1,
	result: dirty[0] & /*results*/ 2
});

const get_no_results_slot_context = ctx => ({
	value: /*value*/ ctx[0],
	result: /*result*/ ctx[47],
	index: /*index*/ ctx[49]
});

function get_each_context(ctx, list, i) {
	const child_ctx = ctx.slice();
	child_ctx[47] = list[i];
	child_ctx[49] = i;
	return child_ctx;
}

const get_default_slot_changes = dirty => ({
	result: dirty[0] & /*results*/ 2,
	value: dirty[0] & /*value*/ 1
});

const get_default_slot_context = ctx => ({
	result: /*result*/ ctx[47],
	index: /*index*/ ctx[49],
	value: /*value*/ ctx[0]
});

// (247:4) {#if showResults}
function create_if_block_1(ctx) {
	let each_1_anchor;
	let current;
	let each_value = /*results*/ ctx[1];
	validate_each_argument(each_value);
	let each_blocks = [];

	for (let i = 0; i < each_value.length; i += 1) {
		each_blocks[i] = create_each_block(get_each_context(ctx, each_value, i));
	}

	const out = i => transition_out(each_blocks[i], 1, 1, () => {
		each_blocks[i] = null;
	});

	const block = {
		c: function create() {
			for (let i = 0; i < each_blocks.length; i += 1) {
				each_blocks[i].c();
			}

			each_1_anchor = empty();
		},
		m: function mount(target, anchor) {
			for (let i = 0; i < each_blocks.length; i += 1) {
				each_blocks[i].m(target, anchor);
			}

			insert_dev(target, each_1_anchor, anchor);
			current = true;
		},
		p: function update(ctx, dirty) {
			if (dirty[0] & /*id, selectedIndex, results, select, $$scope, value*/ 67111943) {
				each_value = /*results*/ ctx[1];
				validate_each_argument(each_value);
				let i;

				for (i = 0; i < each_value.length; i += 1) {
					const child_ctx = get_each_context(ctx, each_value, i);

					if (each_blocks[i]) {
						each_blocks[i].p(child_ctx, dirty);
						transition_in(each_blocks[i], 1);
					} else {
						each_blocks[i] = create_each_block(child_ctx);
						each_blocks[i].c();
						transition_in(each_blocks[i], 1);
						each_blocks[i].m(each_1_anchor.parentNode, each_1_anchor);
					}
				}

				group_outros();

				for (i = each_value.length; i < each_blocks.length; i += 1) {
					out(i);
				}

				check_outros();
			}
		},
		i: function intro(local) {
			if (current) return;

			for (let i = 0; i < each_value.length; i += 1) {
				transition_in(each_blocks[i]);
			}

			current = true;
		},
		o: function outro(local) {
			each_blocks = each_blocks.filter(Boolean);

			for (let i = 0; i < each_blocks.length; i += 1) {
				transition_out(each_blocks[i]);
			}

			current = false;
		},
		d: function destroy(detaching) {
			destroy_each(each_blocks, detaching);
			if (detaching) detach_dev(each_1_anchor);
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: create_if_block_1.name,
		type: "if",
		source: "(247:4) {#if showResults}",
		ctx
	});

	return block;
}

// (266:41)              
function fallback_block(ctx) {
	let html_tag;
	let raw_value = /*result*/ ctx[47].string + "";
	let html_anchor;

	const block = {
		c: function create() {
			html_tag = new HtmlTag(false);
			html_anchor = empty();
			html_tag.a = html_anchor;
		},
		m: function mount(target, anchor) {
			html_tag.m(raw_value, target, anchor);
			insert_dev(target, html_anchor, anchor);
		},
		p: function update(ctx, dirty) {
			if (dirty[0] & /*results*/ 2 && raw_value !== (raw_value = /*result*/ ctx[47].string + "")) html_tag.p(raw_value);
		},
		d: function destroy(detaching) {
			if (detaching) detach_dev(html_anchor);
			if (detaching) html_tag.d();
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: fallback_block.name,
		type: "fallback",
		source: "(266:41)              ",
		ctx
	});

	return block;
}

// (248:6) {#each results as result, index}
function create_each_block(ctx) {
	let li;
	let t;
	let li_id_value;
	let li_aria_selected_value;
	let current;
	let mounted;
	let dispose;
	const default_slot_template = /*#slots*/ ctx[27].default;
	const default_slot = create_slot(default_slot_template, ctx, /*$$scope*/ ctx[26], get_default_slot_context);
	const default_slot_or_fallback = default_slot || fallback_block(ctx);

	function click_handler_1() {
		return /*click_handler_1*/ ctx[40](/*result*/ ctx[47], /*index*/ ctx[49]);
	}

	function mouseenter_handler() {
		return /*mouseenter_handler*/ ctx[41](/*result*/ ctx[47], /*index*/ ctx[49]);
	}

	const block = {
		c: function create() {
			li = element("li");
			if (default_slot_or_fallback) default_slot_or_fallback.c();
			t = space();
			attr_dev(li, "role", "option");
			attr_dev(li, "id", li_id_value = "" + (/*id*/ ctx[2] + "-result-" + /*index*/ ctx[49]));
			attr_dev(li, "aria-selected", li_aria_selected_value = /*selectedIndex*/ ctx[10] === /*index*/ ctx[49]);
			attr_dev(li, "class", "svelte-1t4elht");
			toggle_class(li, "selected", /*selectedIndex*/ ctx[10] === /*index*/ ctx[49]);
			toggle_class(li, "disabled", /*result*/ ctx[47].disabled);
			add_location(li, file$1, 249, 8, 6107);
		},
		m: function mount(target, anchor) {
			insert_dev(target, li, anchor);

			if (default_slot_or_fallback) {
				default_slot_or_fallback.m(li, null);
			}

			append_dev(li, t);
			current = true;

			if (!mounted) {
				dispose = [
					listen_dev(li, "click", click_handler_1, false, false, false),
					listen_dev(li, "mouseenter", mouseenter_handler, false, false, false)
				];

				mounted = true;
			}
		},
		p: function update(new_ctx, dirty) {
			ctx = new_ctx;

			if (default_slot) {
				if (default_slot.p && (!current || dirty[0] & /*$$scope, results, value*/ 67108867)) {
					update_slot_base(
						default_slot,
						default_slot_template,
						ctx,
						/*$$scope*/ ctx[26],
						!current
						? get_all_dirty_from_scope(/*$$scope*/ ctx[26])
						: get_slot_changes(default_slot_template, /*$$scope*/ ctx[26], dirty, get_default_slot_changes),
						get_default_slot_context
					);
				}
			} else {
				if (default_slot_or_fallback && default_slot_or_fallback.p && (!current || dirty[0] & /*results*/ 2)) {
					default_slot_or_fallback.p(ctx, !current ? [-1, -1] : dirty);
				}
			}

			if (!current || dirty[0] & /*id*/ 4 && li_id_value !== (li_id_value = "" + (/*id*/ ctx[2] + "-result-" + /*index*/ ctx[49]))) {
				attr_dev(li, "id", li_id_value);
			}

			if (!current || dirty[0] & /*selectedIndex*/ 1024 && li_aria_selected_value !== (li_aria_selected_value = /*selectedIndex*/ ctx[10] === /*index*/ ctx[49])) {
				attr_dev(li, "aria-selected", li_aria_selected_value);
			}

			if (!current || dirty[0] & /*selectedIndex*/ 1024) {
				toggle_class(li, "selected", /*selectedIndex*/ ctx[10] === /*index*/ ctx[49]);
			}

			if (!current || dirty[0] & /*results*/ 2) {
				toggle_class(li, "disabled", /*result*/ ctx[47].disabled);
			}
		},
		i: function intro(local) {
			if (current) return;
			transition_in(default_slot_or_fallback, local);
			current = true;
		},
		o: function outro(local) {
			transition_out(default_slot_or_fallback, local);
			current = false;
		},
		d: function destroy(detaching) {
			if (detaching) detach_dev(li);
			if (default_slot_or_fallback) default_slot_or_fallback.d(detaching);
			mounted = false;
			run_all(dispose);
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: create_each_block.name,
		type: "each",
		source: "(248:6) {#each results as result, index}",
		ctx
	});

	return block;
}

// (272:4) {#if $$slots["no-results"] && !hideDropdown && value.length > 0 && results.length === 0}
function create_if_block(ctx) {
	let div;
	let current;
	const no_results_slot_template = /*#slots*/ ctx[27]["no-results"];
	const no_results_slot = create_slot(no_results_slot_template, ctx, /*$$scope*/ ctx[26], get_no_results_slot_context);

	const block = {
		c: function create() {
			div = element("div");
			if (no_results_slot) no_results_slot.c();
			attr_dev(div, "class", "svelte-1t4elht");
			toggle_class(div, "no-results", true);
			add_location(div, file$1, 272, 6, 6816);
		},
		m: function mount(target, anchor) {
			insert_dev(target, div, anchor);

			if (no_results_slot) {
				no_results_slot.m(div, null);
			}

			current = true;
		},
		p: function update(ctx, dirty) {
			if (no_results_slot) {
				if (no_results_slot.p && (!current || dirty[0] & /*$$scope, value, results*/ 67108867)) {
					update_slot_base(
						no_results_slot,
						no_results_slot_template,
						ctx,
						/*$$scope*/ ctx[26],
						!current
						? get_all_dirty_from_scope(/*$$scope*/ ctx[26])
						: get_slot_changes(no_results_slot_template, /*$$scope*/ ctx[26], dirty, get_no_results_slot_changes),
						get_no_results_slot_context
					);
				}
			}
		},
		i: function intro(local) {
			if (current) return;
			transition_in(no_results_slot, local);
			current = true;
		},
		o: function outro(local) {
			transition_out(no_results_slot, local);
			current = false;
		},
		d: function destroy(detaching) {
			if (detaching) detach_dev(div);
			if (no_results_slot) no_results_slot.d(detaching);
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: create_if_block.name,
		type: "if",
		source: "(272:4) {#if $$slots[\\\"no-results\\\"] && !hideDropdown && value.length > 0 && results.length === 0}",
		ctx
	});

	return block;
}

function create_fragment$1(ctx) {
	let div;
	let search;
	let updating_ref;
	let updating_value;
	let t0;
	let ul;
	let t1;
	let ul_aria_labelledby_value;
	let ul_id_value;
	let div_aria_controls_value;
	let div_id_value;
	let current;
	let mounted;
	let dispose;

	const search_spread_levels = [
		{ id: /*id*/ ctx[2] },
		{ removeFormAriaAttributes: true },
		/*$$restProps*/ ctx[16],
		{ "aria-autocomplete": "list" },
		{
			"aria-controls": "" + (/*id*/ ctx[2] + "-listbox")
		},
		{
			"aria-labelledby": "" + (/*id*/ ctx[2] + "-label")
		},
		{
			"aria-activedescendant": /*selectedIndex*/ ctx[10] >= 0 && !/*hideDropdown*/ ctx[5] && /*results*/ ctx[1].length > 0
			? `${/*id*/ ctx[2]}-result-${/*selectedIndex*/ ctx[10]}`
			: null
		}
	];

	function search_ref_binding(value) {
		/*search_ref_binding*/ ctx[29](value);
	}

	function search_value_binding(value) {
		/*search_value_binding*/ ctx[30](value);
	}

	let search_props = {};

	for (let i = 0; i < search_spread_levels.length; i += 1) {
		search_props = assign(search_props, search_spread_levels[i]);
	}

	if (/*searchRef*/ ctx[9] !== void 0) {
		search_props.ref = /*searchRef*/ ctx[9];
	}

	if (/*value*/ ctx[0] !== void 0) {
		search_props.value = /*value*/ ctx[0];
	}

	search = new Search$1({ props: search_props, $$inline: true });
	binding_callbacks.push(() => bind(search, 'ref', search_ref_binding));
	binding_callbacks.push(() => bind(search, 'value', search_value_binding));
	search.$on("type", /*type_handler*/ ctx[31]);
	search.$on("input", /*input_handler*/ ctx[32]);
	search.$on("change", /*change_handler*/ ctx[33]);
	search.$on("focus", /*focus_handler*/ ctx[34]);
	search.$on("focus", /*focus_handler_1*/ ctx[35]);
	search.$on("clear", /*clear_handler*/ ctx[36]);
	search.$on("clear", /*open*/ ctx[13]);
	search.$on("blur", /*blur_handler*/ ctx[37]);
	search.$on("keydown", /*keydown_handler*/ ctx[38]);
	search.$on("keydown", /*keydown_handler_1*/ ctx[39]);
	let if_block0 = /*showResults*/ ctx[7] && create_if_block_1(ctx);
	let if_block1 = /*$$slots*/ ctx[15]["no-results"] && !/*hideDropdown*/ ctx[5] && /*value*/ ctx[0].length > 0 && /*results*/ ctx[1].length === 0 && create_if_block(ctx);

	const block = {
		c: function create() {
			div = element("div");
			create_component(search.$$.fragment);
			t0 = space();
			ul = element("ul");
			if (if_block0) if_block0.c();
			t1 = space();
			if (if_block1) if_block1.c();
			attr_dev(ul, "role", "listbox");
			attr_dev(ul, "aria-labelledby", ul_aria_labelledby_value = "" + (/*id*/ ctx[2] + "-label"));
			attr_dev(ul, "id", ul_id_value = "" + (/*id*/ ctx[2] + "-listbox"));
			attr_dev(ul, "class", "svelte-1t4elht");
			toggle_class(ul, "svelte-typeahead-list", true);
			add_location(ul, file$1, 240, 2, 5852);
			attr_dev(div, "data-svelte-typeahead", "");
			attr_dev(div, "role", "combobox");
			attr_dev(div, "aria-haspopup", "listbox");
			attr_dev(div, "aria-controls", div_aria_controls_value = "" + (/*id*/ ctx[2] + "-listbox"));
			attr_dev(div, "aria-expanded", /*showResults*/ ctx[7]);
			attr_dev(div, "id", div_id_value = "" + (/*id*/ ctx[2] + "-typeahead"));
			attr_dev(div, "class", "svelte-1t4elht");
			toggle_class(div, "dropdown", /*results*/ ctx[1].length > 0);
			add_location(div, file$1, 177, 0, 4499);
		},
		l: function claim(nodes) {
			throw new Error("options.hydrate only works if the component was compiled with the `hydratable: true` option");
		},
		m: function mount(target, anchor) {
			insert_dev(target, div, anchor);
			mount_component(search, div, null);
			append_dev(div, t0);
			append_dev(div, ul);
			if (if_block0) if_block0.m(ul, null);
			append_dev(ul, t1);
			if (if_block1) if_block1.m(ul, null);
			/*div_binding*/ ctx[42](div);
			current = true;

			if (!mounted) {
				dispose = listen_dev(window, "click", /*click_handler*/ ctx[28], false, false, false);
				mounted = true;
			}
		},
		p: function update(ctx, dirty) {
			const search_changes = (dirty[0] & /*id, $$restProps, selectedIndex, hideDropdown, results*/ 66598)
			? get_spread_update(search_spread_levels, [
					dirty[0] & /*id*/ 4 && { id: /*id*/ ctx[2] },
					search_spread_levels[1],
					dirty[0] & /*$$restProps*/ 65536 && get_spread_object(/*$$restProps*/ ctx[16]),
					search_spread_levels[3],
					dirty[0] & /*id*/ 4 && {
						"aria-controls": "" + (/*id*/ ctx[2] + "-listbox")
					},
					dirty[0] & /*id*/ 4 && {
						"aria-labelledby": "" + (/*id*/ ctx[2] + "-label")
					},
					dirty[0] & /*selectedIndex, hideDropdown, results, id*/ 1062 && {
						"aria-activedescendant": /*selectedIndex*/ ctx[10] >= 0 && !/*hideDropdown*/ ctx[5] && /*results*/ ctx[1].length > 0
						? `${/*id*/ ctx[2]}-result-${/*selectedIndex*/ ctx[10]}`
						: null
					}
				])
			: {};

			if (!updating_ref && dirty[0] & /*searchRef*/ 512) {
				updating_ref = true;
				search_changes.ref = /*searchRef*/ ctx[9];
				add_flush_callback(() => updating_ref = false);
			}

			if (!updating_value && dirty[0] & /*value*/ 1) {
				updating_value = true;
				search_changes.value = /*value*/ ctx[0];
				add_flush_callback(() => updating_value = false);
			}

			search.$set(search_changes);

			if (/*showResults*/ ctx[7]) {
				if (if_block0) {
					if_block0.p(ctx, dirty);

					if (dirty[0] & /*showResults*/ 128) {
						transition_in(if_block0, 1);
					}
				} else {
					if_block0 = create_if_block_1(ctx);
					if_block0.c();
					transition_in(if_block0, 1);
					if_block0.m(ul, t1);
				}
			} else if (if_block0) {
				group_outros();

				transition_out(if_block0, 1, 1, () => {
					if_block0 = null;
				});

				check_outros();
			}

			if (/*$$slots*/ ctx[15]["no-results"] && !/*hideDropdown*/ ctx[5] && /*value*/ ctx[0].length > 0 && /*results*/ ctx[1].length === 0) {
				if (if_block1) {
					if_block1.p(ctx, dirty);

					if (dirty[0] & /*$$slots, hideDropdown, value, results*/ 32803) {
						transition_in(if_block1, 1);
					}
				} else {
					if_block1 = create_if_block(ctx);
					if_block1.c();
					transition_in(if_block1, 1);
					if_block1.m(ul, null);
				}
			} else if (if_block1) {
				group_outros();

				transition_out(if_block1, 1, 1, () => {
					if_block1 = null;
				});

				check_outros();
			}

			if (!current || dirty[0] & /*id*/ 4 && ul_aria_labelledby_value !== (ul_aria_labelledby_value = "" + (/*id*/ ctx[2] + "-label"))) {
				attr_dev(ul, "aria-labelledby", ul_aria_labelledby_value);
			}

			if (!current || dirty[0] & /*id*/ 4 && ul_id_value !== (ul_id_value = "" + (/*id*/ ctx[2] + "-listbox"))) {
				attr_dev(ul, "id", ul_id_value);
			}

			if (!current || dirty[0] & /*id*/ 4 && div_aria_controls_value !== (div_aria_controls_value = "" + (/*id*/ ctx[2] + "-listbox"))) {
				attr_dev(div, "aria-controls", div_aria_controls_value);
			}

			if (!current || dirty[0] & /*showResults*/ 128) {
				attr_dev(div, "aria-expanded", /*showResults*/ ctx[7]);
			}

			if (!current || dirty[0] & /*id*/ 4 && div_id_value !== (div_id_value = "" + (/*id*/ ctx[2] + "-typeahead"))) {
				attr_dev(div, "id", div_id_value);
			}

			if (!current || dirty[0] & /*results*/ 2) {
				toggle_class(div, "dropdown", /*results*/ ctx[1].length > 0);
			}
		},
		i: function intro(local) {
			if (current) return;
			transition_in(search.$$.fragment, local);
			transition_in(if_block0);
			transition_in(if_block1);
			current = true;
		},
		o: function outro(local) {
			transition_out(search.$$.fragment, local);
			transition_out(if_block0);
			transition_out(if_block1);
			current = false;
		},
		d: function destroy(detaching) {
			if (detaching) detach_dev(div);
			destroy_component(search);
			if (if_block0) if_block0.d();
			if (if_block1) if_block1.d();
			/*div_binding*/ ctx[42](null);
			mounted = false;
			dispose();
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: create_fragment$1.name,
		type: "component",
		source: "",
		ctx
	});

	return block;
}

function instance$1($$self, $$props, $$invalidate) {
	let options;
	let resultsId;
	let showResults;

	const omit_props_names = [
		"id","value","data","extract","disable","filter","autoselect","inputAfterSelect","results","focusAfterSelect","showDropdownOnFocus","showAllResultsOnFocus","limit"
	];

	let $$restProps = compute_rest_props($$props, omit_props_names);
	let { $$slots: slots = {}, $$scope } = $$props;
	validate_slots('Typeahead', slots, ['default','no-results']);
	const $$slots = compute_slots(slots);
	let { id = "typeahead-" + Math.random().toString(36) } = $$props;
	let { value = "" } = $$props;
	let { data = [] } = $$props;
	let { extract = item => item } = $$props;
	let { disable = item => false } = $$props;
	let { filter = item => false } = $$props;
	let { autoselect = true } = $$props;
	let { inputAfterSelect = "update" } = $$props;
	let { results = [] } = $$props;
	let { focusAfterSelect = false } = $$props;
	let { showDropdownOnFocus = false } = $$props;
	let { showAllResultsOnFocus = false } = $$props;
	let { limit = Infinity } = $$props;
	const dispatch = createEventDispatcher();
	let comboboxRef = null;
	let searchRef = null;
	let hideDropdown = false;
	let selectedIndex = -1;
	let prevResults = "";
	let isFocused = false;

	afterUpdate(() => {
		if (prevResults !== resultsId && autoselect) {
			$$invalidate(10, selectedIndex = getNextNonDisabledIndex());
		}

		if (prevResults !== resultsId && !$$slots["no-results"]) {
			$$invalidate(5, hideDropdown = results.length === 0);
		}

		prevResults = resultsId;
	});

	async function select() {
		const result = results[selectedIndex];
		if (result.disabled) return;
		const selectedValue = extract(result.original);
		const searchedValue = value;
		if (inputAfterSelect == "clear") $$invalidate(0, value = "");
		if (inputAfterSelect == "update") $$invalidate(0, value = selectedValue);

		dispatch("select", {
			selectedIndex,
			searched: searchedValue,
			selected: selectedValue,
			original: result.original,
			originalIndex: result.index
		});

		await tick();
		if (focusAfterSelect) searchRef.focus();
		close();
	}

	/** @type {() => number} */
	function getNextNonDisabledIndex() {
		let index = 0;
		let disabled = results[index]?.disabled ?? false;

		while (disabled) {
			if (index === results.length) {
				index = 0;
			} else {
				index += 1;
			}

			disabled = results[index]?.disabled ?? false;
		}

		return index;
	}

	/** @type {(direction: -1 | 1) => void} */
	function change(direction) {
		let index = direction === 1 && selectedIndex === results.length - 1
		? 0
		: selectedIndex + direction;

		if (index < 0) index = results.length - 1;
		let disabled = results[index].disabled;

		while (disabled) {
			if (index === results.length) {
				index = 0;
			} else {
				index += direction;
			}

			disabled = results[index].disabled;
		}

		$$invalidate(10, selectedIndex = index);
	}

	const open = () => $$invalidate(5, hideDropdown = false);

	const close = () => {
		$$invalidate(5, hideDropdown = true);
		$$invalidate(6, isFocused = false);
	};

	const click_handler = ({ target }) => {
		if (!hideDropdown && !comboboxRef?.contains(target)) {
			close();
		}
	};

	function search_ref_binding(value) {
		searchRef = value;
		$$invalidate(9, searchRef);
	}

	function search_value_binding(value$1) {
		value = value$1;
		$$invalidate(0, value);
	}

	function type_handler(event) {
		bubble.call(this, $$self, event);
	}

	function input_handler(event) {
		bubble.call(this, $$self, event);
	}

	function change_handler(event) {
		bubble.call(this, $$self, event);
	}

	function focus_handler(event) {
		bubble.call(this, $$self, event);
	}

	const focus_handler_1 = () => {
		open();

		if (showDropdownOnFocus || showAllResultsOnFocus) {
			$$invalidate(7, showResults = true);
			$$invalidate(6, isFocused = true);
		}
	};

	function clear_handler(event) {
		bubble.call(this, $$self, event);
	}

	function blur_handler(event) {
		bubble.call(this, $$self, event);
	}

	function keydown_handler(event) {
		bubble.call(this, $$self, event);
	}

	const keydown_handler_1 = e => {
		if (results.length === 0) return;

		switch (e.key) {
			case "Enter":
				select();
				break;
			case "ArrowDown":
				e.preventDefault();
				change(1);
				break;
			case "ArrowUp":
				e.preventDefault();
				change(-1);
				break;
			case "Escape":
				e.preventDefault();
				$$invalidate(0, value = "");
				searchRef?.focus();
				close();
				break;
		}
	};

	const click_handler_1 = (result, index) => {
		if (result.disabled) return;
		$$invalidate(10, selectedIndex = index);
		select();
	};

	const mouseenter_handler = (result, index) => {
		if (result.disabled) return;
		$$invalidate(10, selectedIndex = index);
	};

	function div_binding($$value) {
		binding_callbacks[$$value ? 'unshift' : 'push'](() => {
			comboboxRef = $$value;
			$$invalidate(8, comboboxRef);
		});
	}

	$$self.$$set = $$new_props => {
		$$props = assign(assign({}, $$props), exclude_internal_props($$new_props));
		$$invalidate(16, $$restProps = compute_rest_props($$props, omit_props_names));
		if ('id' in $$new_props) $$invalidate(2, id = $$new_props.id);
		if ('value' in $$new_props) $$invalidate(0, value = $$new_props.value);
		if ('data' in $$new_props) $$invalidate(17, data = $$new_props.data);
		if ('extract' in $$new_props) $$invalidate(18, extract = $$new_props.extract);
		if ('disable' in $$new_props) $$invalidate(19, disable = $$new_props.disable);
		if ('filter' in $$new_props) $$invalidate(20, filter = $$new_props.filter);
		if ('autoselect' in $$new_props) $$invalidate(21, autoselect = $$new_props.autoselect);
		if ('inputAfterSelect' in $$new_props) $$invalidate(22, inputAfterSelect = $$new_props.inputAfterSelect);
		if ('results' in $$new_props) $$invalidate(1, results = $$new_props.results);
		if ('focusAfterSelect' in $$new_props) $$invalidate(23, focusAfterSelect = $$new_props.focusAfterSelect);
		if ('showDropdownOnFocus' in $$new_props) $$invalidate(3, showDropdownOnFocus = $$new_props.showDropdownOnFocus);
		if ('showAllResultsOnFocus' in $$new_props) $$invalidate(4, showAllResultsOnFocus = $$new_props.showAllResultsOnFocus);
		if ('limit' in $$new_props) $$invalidate(24, limit = $$new_props.limit);
		if ('$$scope' in $$new_props) $$invalidate(26, $$scope = $$new_props.$$scope);
	};

	$$self.$capture_state = () => ({
		id,
		value,
		data,
		extract,
		disable,
		filter,
		autoselect,
		inputAfterSelect,
		results,
		focusAfterSelect,
		showDropdownOnFocus,
		showAllResultsOnFocus,
		limit,
		fuzzy,
		Search: Search$1,
		tick,
		createEventDispatcher,
		afterUpdate,
		dispatch,
		comboboxRef,
		searchRef,
		hideDropdown,
		selectedIndex,
		prevResults,
		isFocused,
		select,
		getNextNonDisabledIndex,
		change,
		open,
		close,
		showResults,
		resultsId,
		options
	});

	$$self.$inject_state = $$new_props => {
		if ('id' in $$props) $$invalidate(2, id = $$new_props.id);
		if ('value' in $$props) $$invalidate(0, value = $$new_props.value);
		if ('data' in $$props) $$invalidate(17, data = $$new_props.data);
		if ('extract' in $$props) $$invalidate(18, extract = $$new_props.extract);
		if ('disable' in $$props) $$invalidate(19, disable = $$new_props.disable);
		if ('filter' in $$props) $$invalidate(20, filter = $$new_props.filter);
		if ('autoselect' in $$props) $$invalidate(21, autoselect = $$new_props.autoselect);
		if ('inputAfterSelect' in $$props) $$invalidate(22, inputAfterSelect = $$new_props.inputAfterSelect);
		if ('results' in $$props) $$invalidate(1, results = $$new_props.results);
		if ('focusAfterSelect' in $$props) $$invalidate(23, focusAfterSelect = $$new_props.focusAfterSelect);
		if ('showDropdownOnFocus' in $$props) $$invalidate(3, showDropdownOnFocus = $$new_props.showDropdownOnFocus);
		if ('showAllResultsOnFocus' in $$props) $$invalidate(4, showAllResultsOnFocus = $$new_props.showAllResultsOnFocus);
		if ('limit' in $$props) $$invalidate(24, limit = $$new_props.limit);
		if ('comboboxRef' in $$props) $$invalidate(8, comboboxRef = $$new_props.comboboxRef);
		if ('searchRef' in $$props) $$invalidate(9, searchRef = $$new_props.searchRef);
		if ('hideDropdown' in $$props) $$invalidate(5, hideDropdown = $$new_props.hideDropdown);
		if ('selectedIndex' in $$props) $$invalidate(10, selectedIndex = $$new_props.selectedIndex);
		if ('prevResults' in $$props) prevResults = $$new_props.prevResults;
		if ('isFocused' in $$props) $$invalidate(6, isFocused = $$new_props.isFocused);
		if ('showResults' in $$props) $$invalidate(7, showResults = $$new_props.showResults);
		if ('resultsId' in $$props) resultsId = $$new_props.resultsId;
		if ('options' in $$props) $$invalidate(25, options = $$new_props.options);
	};

	if ($$props && "$$inject" in $$props) {
		$$self.$inject_state($$props.$$inject);
	}

	$$self.$$.update = () => {
		if ($$self.$$.dirty[0] & /*extract*/ 262144) {
			$$invalidate(25, options = { pre: "<mark>", post: "</mark>", extract });
		}

		if ($$self.$$.dirty[0] & /*value, data, options, limit, filter, disable*/ 52035585) {
			$$invalidate(1, results = fuzzy.filter(value, data, options).filter(({ score }) => score > 0).slice(0, limit).filter(result => !filter(result.original)).map(result => ({
				...result,
				disabled: disable(result.original)
			})));
		}

		if ($$self.$$.dirty[0] & /*isFocused, showAllResultsOnFocus, value, data, filter, disable, extract*/ 1966161) {
			if (isFocused && showAllResultsOnFocus && value.length === 0) {
				$$invalidate(1, results = data.filter(datum => !filter(datum)).map((original, index) => ({
					disabled: disable(original),
					index,
					original,
					score: 0,
					string: extract(original)
				})));
			}
		}

		if ($$self.$$.dirty[0] & /*results, extract*/ 262146) {
			resultsId = results.map(result => extract(result.original)).join("");
		}

		if ($$self.$$.dirty[0] & /*hideDropdown, results*/ 34) {
			$$invalidate(7, showResults = !hideDropdown && results.length > 0);
		}

		if ($$self.$$.dirty[0] & /*showDropdownOnFocus, showResults, isFocused*/ 200) {
			if (showDropdownOnFocus) {
				$$invalidate(7, showResults = showResults && isFocused);
			}
		}
	};

	return [
		value,
		results,
		id,
		showDropdownOnFocus,
		showAllResultsOnFocus,
		hideDropdown,
		isFocused,
		showResults,
		comboboxRef,
		searchRef,
		selectedIndex,
		select,
		change,
		open,
		close,
		$$slots,
		$$restProps,
		data,
		extract,
		disable,
		filter,
		autoselect,
		inputAfterSelect,
		focusAfterSelect,
		limit,
		options,
		$$scope,
		slots,
		click_handler,
		search_ref_binding,
		search_value_binding,
		type_handler,
		input_handler,
		change_handler,
		focus_handler,
		focus_handler_1,
		clear_handler,
		blur_handler,
		keydown_handler,
		keydown_handler_1,
		click_handler_1,
		mouseenter_handler,
		div_binding
	];
}

class Typeahead extends SvelteComponentDev {
	constructor(options) {
		super(options);

		init(
			this,
			options,
			instance$1,
			create_fragment$1,
			safe_not_equal,
			{
				id: 2,
				value: 0,
				data: 17,
				extract: 18,
				disable: 19,
				filter: 20,
				autoselect: 21,
				inputAfterSelect: 22,
				results: 1,
				focusAfterSelect: 23,
				showDropdownOnFocus: 3,
				showAllResultsOnFocus: 4,
				limit: 24
			},
			null,
			[-1, -1]
		);

		dispatch_dev("SvelteRegisterComponent", {
			component: this,
			tagName: "Typeahead",
			options,
			id: create_fragment$1.name
		});
	}

	get id() {
		throw new Error("<Typeahead>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set id(value) {
		throw new Error("<Typeahead>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get value() {
		throw new Error("<Typeahead>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set value(value) {
		throw new Error("<Typeahead>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get data() {
		throw new Error("<Typeahead>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set data(value) {
		throw new Error("<Typeahead>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get extract() {
		throw new Error("<Typeahead>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set extract(value) {
		throw new Error("<Typeahead>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get disable() {
		throw new Error("<Typeahead>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set disable(value) {
		throw new Error("<Typeahead>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get filter() {
		throw new Error("<Typeahead>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set filter(value) {
		throw new Error("<Typeahead>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get autoselect() {
		throw new Error("<Typeahead>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set autoselect(value) {
		throw new Error("<Typeahead>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get inputAfterSelect() {
		throw new Error("<Typeahead>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set inputAfterSelect(value) {
		throw new Error("<Typeahead>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get results() {
		throw new Error("<Typeahead>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set results(value) {
		throw new Error("<Typeahead>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get focusAfterSelect() {
		throw new Error("<Typeahead>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set focusAfterSelect(value) {
		throw new Error("<Typeahead>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get showDropdownOnFocus() {
		throw new Error("<Typeahead>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set showDropdownOnFocus(value) {
		throw new Error("<Typeahead>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get showAllResultsOnFocus() {
		throw new Error("<Typeahead>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set showAllResultsOnFocus(value) {
		throw new Error("<Typeahead>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	get limit() {
		throw new Error("<Typeahead>: Props cannot be read directly from the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}

	set limit(value) {
		throw new Error("<Typeahead>: Props cannot be set directly on the component instance unless compiling with 'accessors: true' or '<svelte:options accessors/>'");
	}
}

/* src\Svelte\components\Hello.svelte generated by Svelte v3.50.0 */
const file = "src\\Svelte\\components\\Hello.svelte";

// (81:2) 
function create_header_slot_1(ctx) {
	let div;

	const block = {
		c: function create() {
			div = element("div");
			div.textContent = "Header";
			attr_dev(div, "slot", "header");
			add_location(div, file, 80, 2, 2489);
		},
		m: function mount(target, anchor) {
			insert_dev(target, div, anchor);
		},
		p: noop,
		d: function destroy(detaching) {
			if (detaching) detach_dev(div);
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: create_header_slot_1.name,
		type: "slot",
		source: "(81:2) ",
		ctx
	});

	return block;
}

// (82:2) 
function create_body_slot_1(ctx) {
	let p;

	const block = {
		c: function create() {
			p = element("p");
			p.textContent = "Body";
			attr_dev(p, "slot", "body");
			add_location(p, file, 81, 2, 2524);
		},
		m: function mount(target, anchor) {
			insert_dev(target, p, anchor);
		},
		p: noop,
		d: function destroy(detaching) {
			if (detaching) detach_dev(p);
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: create_body_slot_1.name,
		type: "slot",
		source: "(82:2) ",
		ctx
	});

	return block;
}

// (85:2) 
function create_header_slot(ctx) {
	let div;

	const block = {
		c: function create() {
			div = element("div");
			div.textContent = "Header";
			attr_dev(div, "slot", "header");
			add_location(div, file, 84, 2, 2596);
		},
		m: function mount(target, anchor) {
			insert_dev(target, div, anchor);
		},
		p: noop,
		d: function destroy(detaching) {
			if (detaching) detach_dev(div);
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: create_header_slot.name,
		type: "slot",
		source: "(85:2) ",
		ctx
	});

	return block;
}

// (86:2) 
function create_body_slot(ctx) {
	let p;

	const block = {
		c: function create() {
			p = element("p");
			p.textContent = "Body";
			attr_dev(p, "slot", "body");
			add_location(p, file, 85, 2, 2631);
		},
		m: function mount(target, anchor) {
			insert_dev(target, p, anchor);
		},
		p: noop,
		d: function destroy(detaching) {
			if (detaching) detach_dev(p);
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: create_body_slot.name,
		type: "slot",
		source: "(86:2) ",
		ctx
	});

	return block;
}

// (79:0) <Accordion>
function create_default_slot(ctx) {
	let accordionitem0;
	let t;
	let accordionitem1;
	let current;

	accordionitem0 = new AccordionItem({
			props: {
				key: "a",
				$$slots: {
					body: [create_body_slot_1],
					header: [create_header_slot_1]
				},
				$$scope: { ctx }
			},
			$$inline: true
		});

	accordionitem1 = new AccordionItem({
			props: {
				key: "b",
				$$slots: {
					body: [create_body_slot],
					header: [create_header_slot]
				},
				$$scope: { ctx }
			},
			$$inline: true
		});

	const block = {
		c: function create() {
			create_component(accordionitem0.$$.fragment);
			t = space();
			create_component(accordionitem1.$$.fragment);
		},
		m: function mount(target, anchor) {
			mount_component(accordionitem0, target, anchor);
			insert_dev(target, t, anchor);
			mount_component(accordionitem1, target, anchor);
			current = true;
		},
		p: function update(ctx, dirty) {
			const accordionitem0_changes = {};

			if (dirty & /*$$scope*/ 16) {
				accordionitem0_changes.$$scope = { dirty, ctx };
			}

			accordionitem0.$set(accordionitem0_changes);
			const accordionitem1_changes = {};

			if (dirty & /*$$scope*/ 16) {
				accordionitem1_changes.$$scope = { dirty, ctx };
			}

			accordionitem1.$set(accordionitem1_changes);
		},
		i: function intro(local) {
			if (current) return;
			transition_in(accordionitem0.$$.fragment, local);
			transition_in(accordionitem1.$$.fragment, local);
			current = true;
		},
		o: function outro(local) {
			transition_out(accordionitem0.$$.fragment, local);
			transition_out(accordionitem1.$$.fragment, local);
			current = false;
		},
		d: function destroy(detaching) {
			destroy_component(accordionitem0, detaching);
			if (detaching) detach_dev(t);
			destroy_component(accordionitem1, detaching);
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: create_default_slot.name,
		type: "slot",
		source: "(79:0) <Accordion>",
		ctx
	});

	return block;
}

function create_fragment(ctx) {
	let typeahead;
	let t0;
	let accordion;
	let t1;
	let pre;
	let t2_value = JSON.stringify(/*greg*/ ctx[0], null, 2) + "";
	let t2;
	let current;

	typeahead = new Typeahead({
			props: {
				label: "U.S. States",
				placeholder: `Search US states`,
				showDropdownOnFocus: true,
				data: /*data*/ ctx[1],
				extract: func,
				disable: func_1
			},
			$$inline: true
		});

	typeahead.$on("select", /*select_handler*/ ctx[2]);
	typeahead.$on("clear", /*clear_handler*/ ctx[3]);

	accordion = new Accordion({
			props: {
				$$slots: { default: [create_default_slot] },
				$$scope: { ctx }
			},
			$$inline: true
		});

	const block = {
		c: function create() {
			create_component(typeahead.$$.fragment);
			t0 = space();
			create_component(accordion.$$.fragment);
			t1 = space();
			pre = element("pre");
			t2 = text(t2_value);
			add_location(pre, file, 89, 0, 2691);
		},
		l: function claim(nodes) {
			throw new Error("options.hydrate only works if the component was compiled with the `hydratable: true` option");
		},
		m: function mount(target, anchor) {
			mount_component(typeahead, target, anchor);
			insert_dev(target, t0, anchor);
			mount_component(accordion, target, anchor);
			insert_dev(target, t1, anchor);
			insert_dev(target, pre, anchor);
			append_dev(pre, t2);
			current = true;
		},
		p: function update(ctx, [dirty]) {
			const accordion_changes = {};

			if (dirty & /*$$scope*/ 16) {
				accordion_changes.$$scope = { dirty, ctx };
			}

			accordion.$set(accordion_changes);
			if ((!current || dirty & /*greg*/ 1) && t2_value !== (t2_value = JSON.stringify(/*greg*/ ctx[0], null, 2) + "")) set_data_dev(t2, t2_value);
		},
		i: function intro(local) {
			if (current) return;
			transition_in(typeahead.$$.fragment, local);
			transition_in(accordion.$$.fragment, local);
			current = true;
		},
		o: function outro(local) {
			transition_out(typeahead.$$.fragment, local);
			transition_out(accordion.$$.fragment, local);
			current = false;
		},
		d: function destroy(detaching) {
			destroy_component(typeahead, detaching);
			if (detaching) detach_dev(t0);
			destroy_component(accordion, detaching);
			if (detaching) detach_dev(t1);
			if (detaching) detach_dev(pre);
		}
	};

	dispatch_dev("SvelteRegisterBlock", {
		block,
		id: create_fragment.name,
		type: "component",
		source: "",
		ctx
	});

	return block;
}

const func = item => item.state;
const func_1 = item => (/Alaska/).test(item.state);

function instance($$self, $$props, $$invalidate) {
	let { $$slots: slots = {}, $$scope } = $$props;
	validate_slots('Hello', slots, []);

	const data = [
		{ abbr: "AL", state: "Alabama" },
		{ abbr: "AL", state: "Alabama" },
		{ abbr: "AK", state: "Alaska" },
		{ abbr: "AZ", state: "Arizona" },
		{ abbr: "AR", state: "Arkansas" },
		{ abbr: "CA", state: "California" },
		{ abbr: "CO", state: "Colorado" },
		{ abbr: "CT", state: "Connecticut" },
		{ abbr: "DE", state: "Delaware" },
		{ abbr: "FL", state: "Florida" },
		{ abbr: "GA", state: "Georgia" },
		{ abbr: "HI", state: "Hawaii" },
		{ abbr: "ID", state: "Idaho" },
		{ abbr: "IL", state: "Illinois" },
		{ abbr: "IN", state: "Indiana" },
		{ abbr: "IA", state: "Iowa" },
		{ abbr: "KS", state: "Kansas" },
		{ abbr: "KY", state: "Kentucky" },
		{ abbr: "LA", state: "Louisiana" },
		{ abbr: "ME", state: "Maine" },
		{ abbr: "MD", state: "Maryland" },
		{ abbr: "MA", state: "Massachusetts" },
		{ abbr: "MI", state: "Michigan" },
		{ abbr: "MN", state: "Minnesota" },
		{ abbr: "MS", state: "Mississippi" },
		{ abbr: "MO", state: "Missouri" },
		{ abbr: "MT", state: "Montana" },
		{ abbr: "NE", state: "Nebraska" },
		{ abbr: "NV", state: "Nevada" },
		{ abbr: "NH", state: "New Hampshire" },
		{ abbr: "NJ", state: "New Jersey" },
		{ abbr: "NM", state: "New Mexico" },
		{ abbr: "NY", state: "New York" },
		{ abbr: "NC", state: "North Carolina" },
		{ abbr: "ND", state: "North Dakota" },
		{ abbr: "OH", state: "Ohio" },
		{ abbr: "OK", state: "Oklahoma" },
		{ abbr: "OR", state: "Oregon" },
		{ abbr: "PA", state: "Pennsylvania" },
		{ abbr: "RI", state: "Rhode Island" },
		{ abbr: "SC", state: "South Carolina" },
		{ abbr: "SD", state: "South Dakota" },
		{ abbr: "TN", state: "Tennessee" },
		{ abbr: "TX", state: "Texas" },
		{ abbr: "UT", state: "Utah" },
		{ abbr: "VT", state: "Vermont" },
		{ abbr: "VA", state: "Virginia" },
		{ abbr: "WA", state: "Washington" },
		{ abbr: "WV", state: "West Virgina" },
		{ abbr: "WI", state: "Wisconsin" },
		{ abbr: "WY", state: "Wyoming" }
	];

	let greg = [];
	const writable_props = [];

	Object.keys($$props).forEach(key => {
		if (!~writable_props.indexOf(key) && key.slice(0, 2) !== '$$' && key !== 'slot') console.warn(`<Hello> was created with unknown prop '${key}'`);
	});

	const select_handler = ({ detail }) => $$invalidate(0, greg = [...greg, detail]);
	const clear_handler = () => $$invalidate(0, greg = [...greg, "clear"]);

	$$self.$capture_state = () => ({
		Accordion,
		AccordionItem,
		Typeahead,
		data,
		greg
	});

	$$self.$inject_state = $$props => {
		if ('greg' in $$props) $$invalidate(0, greg = $$props.greg);
	};

	if ($$props && "$$inject" in $$props) {
		$$self.$inject_state($$props.$$inject);
	}

	return [greg, data, select_handler, clear_handler];
}

class Hello extends SvelteComponentDev {
	constructor(options) {
		super(options);
		init(this, options, instance, create_fragment, safe_not_equal, {});

		dispatch_dev("SvelteRegisterComponent", {
			component: this,
			tagName: "Hello",
			options,
			id: create_fragment.name
		});
	}
}

export { Hello };
